#ifndef _COSTAS_
#define _COSTAS_

#include <complex>
#include <liquid/liquid.h>

class CostasBeaconSync {
    private:
        float alpha;
        float beta;

        float min_freq;
        float max_freq;

        float loop_freq;
        float loop_phase;

        firfilt_crcf bandpass;

        agc_crcf agc;

    public:
        CostasBeaconSync(float, float, float, float);

        std::complex<float> work(liquid_float_complex);
};


#endif
